(function(window) {
    var k = {};
    var wx = null,
        qq = null;
    // 分享至会话使用小程序分享
    k.shareToWxMessage = function(params) {
        if (!wx) {
            wx = api.require('wx');
        }
        wx.shareProgram({
            scene: 'session',
            title: params.title,
            thumb: params.thumb,
            webpageUrl: 'https://api.hlbshop.com',
            userName: 'gh_96cf702bd755',
            path: params.path,
        }, function(ret, err) {
            if (ret.status) {
                $k.toast('分享成功');
            } else {
                $k.toast('分享失败');
            }
        });
    };
    k.shareToWxTimeline = function(params) {
        if (!wx) {
            wx = api.require('wx');
        }
        wx.shareImage({
            scene: 'timeline',
            contentUrl: params.image
        }, function(ret, err) {
            if (ret.status) {
                $k.toast('分享成功');
            } else {
                $k.toast('分享失败');
            }
        });
    };
    k.shareToQZone = function(params) {
        if (!qq) {
            qq = api.require('QQPlus');
        }
        qq.shareImage({
            type: 'QZone',
            imgPath: params.image
        }, function(ret, err) {
            if (ret.status) {
                $k.toast("分享成功！");
            } else {
                $k.toast('分享失败');
            }
        });
    };
    k.shareToQFriend = function(params) {
        if (!qq) {
            qq = api.require('QQPlus');
        }
        qq.shareImage({
            type: 'QFriend',
            imgPath: params.image
        }, function(ret, err) {
            if (ret.status) {
                $k.toast("分享成功！");
            } else {
                $k.toast('分享失败');
            }
        });
    };
    window.shareTools = k;
})(window);
